package com.bocloud.cmp.model.agile;

import java.util.List;

/**
 * 设备链路
 */
public class AgileDeviceLinkModel {
    private AgileDeviceLinkNodeModel localNode; // 源设备
    private AgileDeviceLinkNodeModel peerNode; // 目的设备
    private Boolean trunk; // 是否为Trunk链路。
    private Integer status; // 链路状态，0为DOWN，1为UP。
    private Integer mode; // 链路的类型，枚举：1.内部链路；2.外部链路； 3.内外部链路；4.普通链路。
    private List<AgileDeviceLinkTrunkMemModel> trunkMems;

    public AgileDeviceLinkNodeModel getLocalNode() {
        return localNode;
    }

    public void setLocalNode(AgileDeviceLinkNodeModel localNode) {
        this.localNode = localNode;
    }

    public AgileDeviceLinkNodeModel getPeerNode() {
        return peerNode;
    }

    public void setPeerNode(AgileDeviceLinkNodeModel peerNode) {
        this.peerNode = peerNode;
    }

    public Boolean getTrunk() {
        return trunk;
    }

    public void setTrunk(Boolean trunk) {
        this.trunk = trunk;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getMode() {
        return mode;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public List<AgileDeviceLinkTrunkMemModel> getTrunkMems() {
        return trunkMems;
    }

    public void setTrunkMems(List<AgileDeviceLinkTrunkMemModel> trunkMems) {
        this.trunkMems = trunkMems;
    }
}
